org.codehaus.groovy.tools.groovydoc

## Class FileOutputTool

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.FileOutputTool

All Implemented Interfaces:
  OutputTool

    public class FileOutputTool
    extends Object
    implements OutputTool

### Constructor Summary

Constructors
Constructor and Description
`FileOutputTool()`

### Method Summary

Methods
`void` `makeOutputArea(String filename)`
`void` `writeToOutput(String fileName, String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileOutputTool

    public FileOutputTool()

### Method Detail

#### makeOutputArea

    public void makeOutputArea(String filename)

Specified by:
  `makeOutputArea` in interface `OutputTool`

#### writeToOutput

    public void writeToOutput(String fileName,
                     String text)
                       throws Exception

Specified by:
  `writeToOutput` in interface `OutputTool`
Throws:
  `Exception`